const express = require("express");
const router = express.Router();
const tamanhosController = require("../controllers/tamanhosController");

// Route for getting all tamanhos
router.get("/tamanhos", tamanhosController.getAllTamanhos);

// Route for getting a specific user by ID
router.get("/tamanhos/:id", tamanhosController.getTamanhoById);

// Route for creating a new user
router.post("/tamanhos", tamanhosController.createTamanho);

// Route for updating a user by ID
router.put("/tamanhos/:id", tamanhosController.updateTamanho);

// Route for deleting a user by ID
router.delete("/tamanhos/:id", tamanhosController.deleteTamanho);

module.exports = router;
